Package org.eclipse.birt.chart.script

# Interface IChartEventHandler

All Known Implementing Classes:
  `ChartEventHandlerAdapter`

public interface IChartEventHandler
Script event handler interface for charts. This event handler provides control on the chart databinding, generation and rendering. Please use the adapter implementation ChartItem

See Also:
  - `IChartScriptContext`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterComputations(Chart cm, PlotComputation oComputations)`
Called after computations of chart model.
`void`
`afterDataSetFilled(Series series, DataSet dataSet, IChartScriptContext icsc)`
Called after populating the series dataset.
`void`
`afterDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)`
Called after rendering each label on a given Axis.
`void`
`afterDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)`
Called after rendering the Title of an Axis.
`void`
`afterDrawBlock(Block block, IChartScriptContext icsc)`
Called after drawing each block.
`void`
`afterDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)`
Called after drawing each datapoint graphical representation or marker.
`void`
`afterDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)`
Called after rendering the label for each datapoint.
`void`
`afterDrawFittingCurve(CurveFitting cf, IChartScriptContext icsc)`
Called after rendering curve fitting.
`void`
`afterDrawLegendEntry(Label label, IChartScriptContext icsc)`
Deprecated.
Since 2.2.0 use afterDrawLegendItem( ) instead
`void`
`afterDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bo, IChartScriptContext icsc)`
Called after drawing the legend item.
`void`
`afterDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)`
Called after drawing each marker.
`void`
`afterDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)`
Called after drawing each marker line in an Axis.
`void`
`afterDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)`
Called after drawing each marker range in an Axis.
`void`
`afterDrawSeries(Series series, ISeriesRenderer isr, IChartScriptContext icsc)`
Called after rendering Series.
`void`
`afterDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)`
Called after rendering the title of a Series .
`void`
`afterGeneration(GeneratedChartState gcs, IChartScriptContext icsc)`
Called after generation of chart model to GeneratedChartState.
`void`
`afterRendering(GeneratedChartState gcs, IChartScriptContext icsc)`
Called after the chart is rendered.
`void`
`beforeComputations(Chart cm, PlotComputation oComputations)`
Called before computations of chart model.
`void`
`beforeDataSetFilled(Series series, IDataSetProcessor idsp, IChartScriptContext icsc)`
Called before populating the series dataset using the DataSetProcessor.
`void`
`beforeDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)`
Called before rendering each label on a given Axis.
`void`
`beforeDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)`
Called before rendering the Title of an Axis.
`void`
`beforeDrawBlock(Block block, IChartScriptContext icsc)`
Called before drawing each block.
`void`
`beforeDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)`
Called before drawing each datapoint graphical representation or marker.
`void`
`beforeDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)`
Called before rendering the label for each datapoint.
`void`
`beforeDrawFittingCurve(CurveFitting cf, IChartScriptContext icsc)`
Called before rendering curve fitting.
`void`
`beforeDrawLegendEntry(Label label, IChartScriptContext icsc)`
Deprecated.
Since 2.2.0 use beforeDrawLegendItem( ) instead
`void`
`beforeDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bo, IChartScriptContext icsc)`
Called before drawing the legend item.
`void`
`beforeDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)`
Called before drawing each marker.
`void`
`beforeDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)`
Called before drawing each marker line in an Axis.
`void`
`beforeDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)`
Called before drawing each marker range in an Axis.
`void`
`beforeDrawSeries(Series series, ISeriesRenderer isr, IChartScriptContext icsc)`
Called before rendering Series.
`void`
`beforeDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)`
Called before rendering the title of a Series.
`void`
`beforeGeneration(Chart cm, IChartScriptContext icsc)`
Called before generation of chart model to GeneratedChartState.
`void`
`beforeRendering(GeneratedChartState gcs, IChartScriptContext icsc)`
Called before the chart is rendered.

## Method Details

### beforeDataSetFilled

void beforeDataSetFilled(Series series, IDataSetProcessor idsp, IChartScriptContext icsc)
Called before populating the series dataset using the DataSetProcessor.

Parameters:
  `series` - Series
  `idsp` - IDataSetProcessor
  `icsc` - IChartScriptContext

### afterDataSetFilled

void afterDataSetFilled(Series series, DataSet dataSet, IChartScriptContext icsc)
Called after populating the series dataset.

Parameters:
  `series` - Series
  `dataSet` - DataSet
  `icsc` - IChartScriptContext

### beforeGeneration

void beforeGeneration(Chart cm, IChartScriptContext icsc)
Called before generation of chart model to GeneratedChartState.

Parameters:
  `cm` - Chart
  `icsc` - IChartScriptContext

### afterGeneration

void afterGeneration(GeneratedChartState gcs, IChartScriptContext icsc)
Called after generation of chart model to GeneratedChartState.

Parameters:
  `gcs` - GeneratedChartState
  `icsc` - IChartScriptContext

### beforeComputations

void beforeComputations(Chart cm, PlotComputation oComputations)
Called before computations of chart model.

Parameters:
  `cm` - Chart
  `oComputations` - PlotComputation
Since:
  2.5

### afterComputations

void afterComputations(Chart cm, PlotComputation oComputations)
Called after computations of chart model.

Parameters:
  `cm` - Chart
  `oComputations` - PlotComputation
Since:
  2.5

### beforeRendering

void beforeRendering(GeneratedChartState gcs, IChartScriptContext icsc)
Called before the chart is rendered.

Parameters:
  `gcs` - GeneratedChartState
  `icsc` - IChartScriptContext

### afterRendering

void afterRendering(GeneratedChartState gcs, IChartScriptContext icsc)
Called after the chart is rendered.

Parameters:
  `gcs` - GeneratedChartState
  `icsc` - IChartScriptContext

### beforeDrawBlock

void beforeDrawBlock(Block block, IChartScriptContext icsc)
Called before drawing each block.

Parameters:
  `block` - Block
  `icsc` - IChartScriptContext

### afterDrawBlock

void afterDrawBlock(Block block, IChartScriptContext icsc)
Called after drawing each block.

Parameters:
  `block` - Block
  `icsc` - IChartScriptContext

### beforeDrawLegendEntry

@Deprecated void beforeDrawLegendEntry(Label label, IChartScriptContext icsc)
Deprecated.
Since 2.2.0 use beforeDrawLegendItem( ) instead
Called before drawing each entry in the legend.

Parameters:
  `label` - Label
  `icsc` - IChartScriptContext

### afterDrawLegendEntry

@Deprecated void afterDrawLegendEntry(Label label, IChartScriptContext icsc)
Deprecated.
Since 2.2.0 use afterDrawLegendItem( ) instead
Called after drawing each entry in the legend.

Parameters:
  `label` - Label
  `icsc` - IChartScriptContext

### beforeDrawLegendItem

void beforeDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bo, IChartScriptContext icsc)
Called before drawing the legend item.

Parameters:
  `lerh` - LegendEntryRenderingHints
  `bo` - Bounds
  `icsc` - IChartScriptContext
Since:
  Version 2.2.0

### afterDrawLegendItem

void afterDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bo, IChartScriptContext icsc)
Called after drawing the legend item.

Parameters:
  `lerh` - LegendEntryRenderingHints
  `bo` - Bounds
  `icsc` - IChartScriptContext
Since:
  Version 2.2.0

### beforeDrawSeries

void beforeDrawSeries(Series series, ISeriesRenderer isr, IChartScriptContext icsc)
Called before rendering Series.

Parameters:
  `series` - Series
  `isr` - ISeriesRenderer
  `icsc` - IChartScriptContext

### afterDrawSeries

void afterDrawSeries(Series series, ISeriesRenderer isr, IChartScriptContext icsc)
Called after rendering Series.

Parameters:
  `series` - Series
  `isr` - ISeriesRenderer
  `icsc` - IChartScriptContext

### beforeDrawSeriesTitle

void beforeDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)
Called before rendering the title of a Series.

Parameters:
  `series` - Series
  `label` - Label
  `icsc` - IChartScriptContext

### afterDrawSeriesTitle

void afterDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)
Called after rendering the title of a Series .

Parameters:
  `series` - Series
  `label` - Label
  `icsc` - IChartScriptContext

### beforeDrawMarker

void beforeDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)
Called before drawing each marker.

Parameters:
  `marker` - Marker
  `dph` - DataPointHints
  `icsc` - IChartScriptContext

### afterDrawMarker

void afterDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)
Called after drawing each marker.

Parameters:
  `marker` - Marker
  `dph` - DataPointHints
  `icsc` - IChartScriptContext

### beforeDrawMarkerLine

void beforeDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)
Called before drawing each marker line in an Axis.

Parameters:
  `axis` - Axis
  `mLine` - MarkerLine
  `icsc` - IChartScriptContext

### afterDrawMarkerLine

void afterDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)
Called after drawing each marker line in an Axis.

Parameters:
  `axis` - Axis
  `mLine` - MarkerLine
  `icsc` - IChartScriptContext

### beforeDrawMarkerRange

void beforeDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)
Called before drawing each marker range in an Axis.

Parameters:
  `axis` - Axis
  `mRange` - MarkerRange
  `icsc` - IChartScriptContext

### afterDrawMarkerRange

void afterDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)
Called after drawing each marker range in an Axis.

Parameters:
  `axis` - Axis
  `mRange` - MarkerRange
  `icsc` - IChartScriptContext

### beforeDrawDataPoint

void beforeDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)
Called before drawing each datapoint graphical representation or marker.

Parameters:
  `dph` - DataPointHints
  `fill` - Fill
  `icsc` - IChartScriptContext

### afterDrawDataPoint

void afterDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)
Called after drawing each datapoint graphical representation or marker.

Parameters:
  `dph` - DataPointHints
  `fill` - Fill
  `icsc` - IChartScriptContext

### beforeDrawDataPointLabel

void beforeDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)
Called before rendering the label for each datapoint.

Parameters:
  `dph` - DataPointHints
  `label` - Label
  `icsc` - IChartScriptContext

### afterDrawDataPointLabel

void afterDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)
Called after rendering the label for each datapoint.

Parameters:
  `dph` - DataPointHints
  `label` - Label
  `icsc` - IChartScriptContext

### beforeDrawFittingCurve

void beforeDrawFittingCurve(CurveFitting cf, IChartScriptContext icsc)
Called before rendering curve fitting.

Parameters:
  `cf` - CurveFitting
  `icsc` - IChartScriptContext

### afterDrawFittingCurve

void afterDrawFittingCurve(CurveFitting cf, IChartScriptContext icsc)
Called after rendering curve fitting.

Parameters:
  `cf` - CurveFitting
  `icsc` - IChartScriptContext

### beforeDrawAxisLabel

void beforeDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)
Called before rendering each label on a given Axis.

Parameters:
  `axis` - Axis
  `label` - Label
  `icsc` - IChartScriptContext

### afterDrawAxisLabel

void afterDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)
Called after rendering each label on a given Axis.

Parameters:
  `axis` - Axis
  `label` - Label
  `icsc` - IChartScriptContext

### beforeDrawAxisTitle

void beforeDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)
Called before rendering the Title of an Axis.

Parameters:
  `axis` - Axis
  `label` - Label
  `icsc` - IChartScriptContext

### afterDrawAxisTitle

void afterDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)
Called after rendering the Title of an Axis.

Parameters:
  `axis` - Axis
  `label` - Label
  `icsc` - IChartScriptContext